net.corda.node.utilities

## Class ANSIProgressRenderer

- net.corda.node.utilities.ANSIProgressRenderer

-     public class ANSIProgressRenderer

  Knows how to render a `class ProgressTracker` to the terminal using coloured, emoji-fied output. Useful when writing small command line tools, demos, tests etc. Just set the progressTracker field and it will go ahead and start drawing if the terminal supports it. Otherwise it just prints out the name of the step whenever it changes.

  When a progress tracker is on the screen, it takes over the bottom part and reconfigures logging so that, assuming 1 log event == 1 line, the progress tracker is always glued to the bottom and logging scrolls above it.

  TODO: More thread safety

  See Also:
    `class ProgressTracker`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ANSIProgressRenderer` | `INSTANCE` Knows how to render a `class ProgressTracker` to the terminal using coloured, emoji-fied output. Useful when writing small command line tools, demos, tests etc. Just set the progressTracker field and it will go ahead and start drawing if the terminal supports it. Otherwise it just prints out the name of the step whenever it changes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProgressTracker` | `getProgressTracker()`
    `void` | `setProgressTracker(ProgressTracker value)`

- - ### Field Detail

    - #### INSTANCE

          public static ANSIProgressRenderer INSTANCE

      Knows how to render a `class ProgressTracker` to the terminal using coloured, emoji-fied output. Useful when writing small command line tools, demos, tests etc. Just set the progressTracker field and it will go ahead and start drawing if the terminal supports it. Otherwise it just prints out the name of the step whenever it changes.

      When a progress tracker is on the screen, it takes over the bottom part and reconfigures logging so that, assuming 1 log event == 1 line, the progress tracker is always glued to the bottom and logging scrolls above it.

      TODO: More thread safety

      See Also:
        `class ProgressTracker`

  - ### Method Detail

    - #### getProgressTracker

          public ProgressTracker getProgressTracker()

    - #### setProgressTracker

          public void setProgressTracker(ProgressTracker value)